<!--{{sensorControllerObjects}}-->
<!--<div class="container center">
    <canvas id="canvas-video" width="1024" height="780"></canvas>
</div>-->
<div class="overviewCont contentSecMain moreBtm">
    <div class="contentSec">
        <div class="overviewTable dataTable">
            <div class="dataRow">
                <ul class="rowCont" ng-init="dashboardTab=1">
                    <li class="apps mapCursor" ng-class="{active: dashboardTab==1}"
                        ng-click="setMapCenterTaxis('onRoad');dashboardTab=1;" ng-click="stopPolling()">
                        <div class="content">
                            <div class="statusNum">{{count.numberOfObdDevice}}</div>
                            <div class="name">On Road</div>
                        </div>
                    </li>
                 <!--   <li class="apps mapCursor" ng-class="{active: dashboardTab==2}"
                        ng-click="setMapCenterTaxis('DXB');dashboardTab=2" ng-click="stopPolling()">
                        <div class="content">
                            <div class="statusNum">{{cardDetails.DXB}}</div>
                            <div class="name">DXB</div>
                        </div>
                    </li>
                    <li class="apps mapCursor" ng-class="{active: dashboardTab==3}"
                        ng-click="getDWCTaxis();dashboardTab=3" ng-click="stopPolling()">
                        <div class="content">
                            <div class="statusNum">{{cardDetails.DWC}}</div>
                            <div class="name">DWC</div>
                        </div>
                    </li>
                    <li class="apps mapCursor" ng-class="{active: dashboardTab==4}"
                        ng-click="getJebelAli();dashboardTab=4" ng-click="stopPolling()">
                        <div class="content">
                            <div class="statusNum">{{cardDetails['Jebel Ali']}}</div>
                            <div class="name">Jebel Ali</div>
                        </div>
                    </li>
                    <li class="apps mapCursor" ng-class="{active: dashboardTab==5}"
                        ng-click="getExpo2022();dashboardTab=5" ng-click="stopPolling()">
                        <div class="content">
                            <div class="statusNum">{{cardDetails['Expo 2020']}}</div>
                            <div class="name">Expo 2020</div>
                        </div>
                    </li>
                    <li class="apps mapCursor " ng-class="{active: dashboardTab==6}"
                        ng-click="setMapCenterTaxis('Depo');dashboardTab=6" ng-click="stopPolling()">
                        <div class="content">
                            <div class="statusNum">{{cardDetails['Depo']}}</div>
                            <div class="name">Depo</div>
                        </div>
                    </li>-->

                </ul>
            </div>
        </div>
        <div class="mapContainer">
            <!-- <div class="map" id="overviewMap"></div>-->
            <show-map map-id="dashBoardMap"></show-map>


            <div class="bottomOpt">
                <ul>
                    <li>
                        <div class="device midBlock radar"></div>
                        <div class="deviceName midBlock">ASSETS</div>
                    </li>
                </ul>
            </div>

            <div class="rightDetails deviceData">
                <div class="close smallTitle">X</div>
                <div class="contentMain">
                    <div class="content mainNormal">
                        <div class="location marginBtm">
                            <div class="">
                                Name: <span class="lightBColor" ng-bind="sensorControllerObjects.carNo "></span>
                            </div>
                        </div>

                        <div class="location marginBtm">
                            <div class="">
                                Registration No: <span class="lightBColor"
                                                       ng-bind="sensorControllerObjects.assetName "></span>
                            </div>
                        </div>

                        <div class="name marginBtm" ng-if="sensorControllerObjects.status==='online'">
                            <div>
                                Status: <span class="lightBColor green"
                                              ng-bind="sensorControllerObjects.status || upperCase"></span>
                            </div>
                        </div>
                        <div class="name marginBtm" ng-if="sensorControllerObjects.status==='offline'">
                            <div>
                                Status: <span class="lightBColor red"
                                              ng-bind="sensorControllerObjects.status || upperCase"></span>
                            </div>
                        </div>
                        <div class="name marginBtm">
                            <div class="">
                                latitude: <span class="lightBColor" ng-bind="sensorControllerObjects.latitude"></span>
                            </div>
                        </div>
                        <div class="location marginBtm">
                            <div class="">
                                longitude: <span class="lightBColor" ng-bind="sensorControllerObjects.longitude"></span>
                            </div>
                        </div>
                        <div class="location marginBtm">
                            <div class="">
                                driverName: <span class="lightBColor"
                                                  ng-bind="sensorControllerObjects.driverName"></span>
                            </div>
                        </div>
                        <div class="location marginBtm">
                            <div class="">
                                speed: <span class="lightBColor">{{sensorControllerObjects.speed}}(kph)</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <div class="loader">
                <!--  {{taxiDashBoardMapLoader}}-->
                <hr-loader ng-if="taxiDashBoardMapLoader"></hr-loader>
            </div>
        </div>
        <!--...... car details list ........-->
        <div class="TaxiList" ng-if="showTxiEntryExitData">
            <div class="dataTable taxiData paddingLR mainNormal">
                <div class="secTitle smallTitle paddingTB marginLR ">
                    <div class="">
                        <span class="helvMedium">Taxi Entry Exit</span>

                    </div>
                    <span class="clear"></span>
                </div>
                <div class="dataRow header">
                    <ul class="rowCont">
                        <li class="carName">Registration Number</li>
                        <li class="status">Car Number</li>

                        <li class="arrival">
                            <div class="midBlock">Arrival TimeStamp</div>
                            <img src="images/upArrow.png" alt="" class="sign midBlock">
                        </li>
                        <li class="departure">
                            <div class="midBlock">Departure TimeStamp</div>
                            <img src="images/downArrow.png" alt="" class="sign midBlock">
                        </li>
                        <li class="status">Driver Name</li>
                    </ul>
                </div>
            </div>
            <div class="dataTable taxiData paddingLR mainNormal">
                <div class="dataRow" ng-repeat="data in taxiEntryExitDetails.busEntry">
                    <ul class="rowCont">
                        <li class="np">
                            <div class="licensePlate">
                                <img src="images/numberPlate.png" alt="" class="npImg">
                                <div class="licenseNum">{{data.taxiRegistrationNumber}}</div>
                            </div>
                        </li>
                        <li class="carNum">
                            {{ data.taxiNumber}}
                        </li>
                        <!--
                                                <li class="arrival">
                                                   {{ data.arrivalTimeStamp| date}}
                                                </li>

                                                <li class="departure">
                                                  {{  data.departureTimeStamp | date}}
                                                </li>
                        -->
                        <li class="driver">
                            {{data.diverName }}
                        </li>
                    </ul>
                </div>


            </div>

        </div>


        <!--on road taxi ng-if="numberOfObdDevice.length>0&&!showTxiEntryExitData"-->
        <div class="TaxiList">
            <div class="secTitle smallTitle paddingTB marginLR borderBtm">
                <div class="">
                    <span class="helvMedium">Taxi on road</span>
                    <span class="rightCont floatRight">
                      <div class="searchBox marginBtmSml">
                          <input type="text" placeholder="search" class="small ng-pristine ng-valid ng-touched"
                                 ng-model="searchTaxi">
                          <div class="searchBtn"></div>

                      </div>
                    </span>
                </div>


                <!-- -->

                <span class="clear"></span>
            </div>

            <div class="dataTable taxiData paddingLR mainNormal">
                <div class="dataRow header">
                    <ul class="rowCont">
                        <li class="carName">Taxi Name</li>
                        <li class="status">Taxi Registration Number</li>

                        <li class="carNum">Driver Name</li>
                        <li class="carNum">Speed</li>
                        <li class="carNum">status</li>
                        <!--
                             <div class="midBlock">Arrival TimeStamp</div>
                             <img src="images/upArrow.png" alt="" class="sign midBlock">
                         </li>
                         <li class="departure">
                             <div class="midBlock">Departure TimeStamp</div>
                             <img src="images/downArrow.png" alt="" class="sign midBlock">
                         </li>
                    --> </ul>
                </div>

                <div class="dataRow" ng-repeat="data in odbDetails | filter:searchTaxi">
                    <ul class="rowCont">
                        <li class="carName">

                            <label>
                                <div class="radio midBlock">
                                    <!--locateMarker(data.id)-->
                                    <input type="radio" name="somethign" ng-value="data.name"
                                           ng-model="$parent.checkboxSelectionX" ng-click="startTracking(data);">
                                    <div class="box"></div>
                                </div>
                                <div class="midBlock" ng-bind="data.name"></div>
                            </label>
                        </li>
                        <li class="np">
                            <div class="licensePlate">
                                <img src="images/numberPlate.png" alt="" class="npImg">
                                <div class="licenseNum">{{data.name}}</div>
                            </div>
                        </li>
                        <li class="carNum">
                            {{driverNames[$index]}}
                        </li>
                        <li class="carNum" ng-if="currentSelecion===data.id">
                            {{ currentSpeed| setDecimal:4}}(kph)
                        </li>
                        <li class="carNum" ng-if="currentSelecion!==data.id">
                            0(kph)
                        </li>
                        <li class="status green" ng-if="currentSelecion===data.id">
                            Online
                        </li>
                        <li class="status red" ng-if="currentSelecion!==data.id">
                            offline
                        </li>
                        <!-- <li class="status green">
                            Online
                         </li>-->
                        <!--  <li class="status green"  ng-if="data.status==='online'">
                              {{ data.status}}
                          </li>
                          <li class="status red"  ng-if="data.status==='offline'">
                              {{ data.status}}
                          </li>-->

                        <!-- <li class="arrival">
                             {{ data.created_at| date}}
                         </li>
                         <li class="departure">
                             {{  data.created_at | date}}
                         </li>
                 -->    </ul>
                </div>


            </div>

        </div>


        <!--......... car slots ............-->


    </div>
</div>
